#!/bin/sh

pyrogenesis=$(which pyrogenesis 2>/dev/null)
if [ -x "$pyrogenesis" ]; then
	"$pyrogenesis" "$@"
elif [ -x /usr/games/pyrogenesis ] ; then
    # Fallback in case /usr/games is not in $PATH; see #679033 and LP: #1380737
    /usr/games/pyrogenesis "$@"
else
	echo "Error: pyrogenesis not found in ($PATH)"
	exit 1
fi
